package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class GetWalletData {

    private int statusCode;
    private String message;
    private int coins;
    private int minimumWithdrawLimit;
    private int maximumWithdrawTime;
    private int conversionRate;
    @SerializedName("withdrawMethods")
    private List<WithdrawMethods> withdrawMethodsList;

    public GetWalletData() {
    }

    public GetWalletData(int statusCode, String message, int coins, int minimumWithdrawLimit, int maximumWithdrawTime, int conversionRate, List<WithdrawMethods> withdrawMethodsList) {
        this.statusCode = statusCode;
        this.message = message;
        this.coins = coins;
        this.minimumWithdrawLimit = minimumWithdrawLimit;
        this.maximumWithdrawTime = maximumWithdrawTime;
        this.conversionRate = conversionRate;
        this.withdrawMethodsList = withdrawMethodsList;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCoins() {
        return coins;
    }

    public void setCoins(int coins) {
        this.coins = coins;
    }

    public int getMinimumWithdrawLimit() {
        return minimumWithdrawLimit;
    }

    public void setMinimumWithdrawLimit(int minimumWithdrawLimit) {
        this.minimumWithdrawLimit = minimumWithdrawLimit;
    }

    public int getMaximumWithdrawTime() {
        return maximumWithdrawTime;
    }

    public void setMaximumWithdrawTime(int maximumWithdrawTime) {
        this.maximumWithdrawTime = maximumWithdrawTime;
    }

    public int getConversionRate() {
        return conversionRate;
    }

    public void setConversionRate(int conversionRate) {
        this.conversionRate = conversionRate;
    }

    public List<WithdrawMethods> getWithdrawMethodsList() {
        return withdrawMethodsList;
    }

    public void setWithdrawMethodsList(List<WithdrawMethods> withdrawMethodsList) {
        this.withdrawMethodsList = withdrawMethodsList;
    }
}
